{
  "name": "@arabesque/middleware-http-router",
  "description": "",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "files": [
    "dist",
    "README.md",
    "LICENSE"
  ],
  "scripts": {
    "prebuild": "rimraf dist",
    "prebuild:test": "rimraf dist",
    "prepack": "npm run build",
    "pretest": "npm run build:test",
    "build": "tsc --project src --declaration true --outDir dist",
    "build:test": "tsc --project test --outDir dist",
    "cover": "nyc --include 'dist/src/**' --exclude-after-remap=false --all=true --branches=100 --functions=100 --lines=100 --statements=100 --reporter html --reporter text npm t",
    "test": "exit 0"
  },
  "keywords": [
    "arabesque",
    "middleware",
    "router",
    "http"
  ],
  "author": "Eric MORAND <eric.morand@gmail.com>",
  "license": "MIT License",
  "devDependencies": {
    "@arabesque/core": "^0.3.0",
    "@arabesque/listener-http": "^0.1.1",
    "@types/node": "^16.18.3",
    "@types/route-parser": "^0.1.4",
    "nyc": "^15.1.0",
    "rimraf": "^3.0.2",
    "tape": "^5.6.1",
    "typescript": "^4.9.3"
  },
  "dependencies": {
    "@arabesque/logic-middlewares": "^0.2.0",
    "route-parser": "^0.0.5"
  }
}
